uk.gov.hmrc.ct.accounts.frs105.boxes

# AC7999

###
Related Doc: package boxes

#### case class AC7999(value: Option[String]) extends CtBoxIdentifier with CtOptionalString with Input with SelfValidatableBox[Frs105AccountsBoxRetriever, Option[String]] with OffBalanceSheetArrangementsValidator with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, OffBalanceSheetArrangementsValidator, SelfValidatableBox[Frs105AccountsBoxRetriever, Option[String]], ValidatableBox[Frs105AccountsBoxRetriever], ExtraValidation, Validators, Input, CtOptionalString, OptionalCtValue[String], CtValue[Option[String]], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC7999
2. Serializable
3. Serializable
4. Product
5. Equals
6. OffBalanceSheetArrangementsValidator
7. SelfValidatableBox
8. ValidatableBox
9. ExtraValidation
10. Validators
11. Input
12. CtOptionalString
13. OptionalCtValue
14. CtValue
15. CtBoxIdentifier
16. AnyRef
17. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AC7999(value: Option[String])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def And(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

5. #### def Or(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

6. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]

   Attributes
     protected
   Definition Classes
     ValidatableBox

9. #### def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

   Attributes
     protected
   Definition Classes
     Validators

10. #### implicit def box2OptionalBigDecimalIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBigDecimalIdBox

    Definition Classes
      SelfValidatableBox

11. #### implicit def box2OptionalBooleanIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBooleanIdBox

    Definition Classes
      SelfValidatableBox

12. #### implicit def box2OptionalDateIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalDateIdBox

    Definition Classes
      SelfValidatableBox

13. #### implicit def box2OptionalIntIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalIntIdBox

    Definition Classes
      SelfValidatableBox

14. #### implicit def box2OptionalStringIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalStringIdBox

    Definition Classes
      SelfValidatableBox

15. #### implicit def box2StringIdBox(box: CtValue[_] with CtBoxIdentifier): StringIdBox

    Definition Classes
      SelfValidatableBox

16. #### val boxId: String

    Attributes
      protected
    Definition Classes
      Validators

17. #### def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

18. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

20. #### def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

23. #### def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

24. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

27. #### def id: String

    Definition Classes
      CtBoxIdentifier

28. #### def isEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### val name: String

    Definition Classes
      CtBoxIdentifier

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

33. #### def nonEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

37. #### val postCodeRegex: String

    Attributes
      protected
    Definition Classes
      ExtraValidation

38. #### def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

39. #### def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def validate(boxRetriever: Frs105AccountsBoxRetriever): Set[CtValidation]

    Definition Classes
      AC7999 → ValidatableBox

42. #### def validateAgainstAC7999a(boxRetriever: Frs105AccountsBoxRetriever, boxId: String, value: Option[String]): Set[CtValidation]

    Definition Classes
      OffBalanceSheetArrangementsValidator

43. #### def validateAllFilledOrEmptyStrings(allBoxes: Set[CtValue[String]])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

44. #### def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

45. #### def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

46. #### def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

47. #### def validateAsMandatory()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

48. #### def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

49. #### def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

50. #### def validateBooleanAsMandatory()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

51. #### def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

52. #### def validateBooleanAsTrue()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

53. #### def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

54. #### def validateCoHoStringReturnIllegalChars(value: String, errorCodeBoxId: Option[String])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

55. #### def validateCoHoStringReturnIllegalChars()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

56. #### def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

57. #### def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

58. #### def validateCohoNameField()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

59. #### def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

60. #### def validateCohoOptionalNameField()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

61. #### def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

62. #### def validateDateAsAfter(dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

63. #### def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

64. #### def validateDateAsBefore(dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

65. #### def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

66. #### def validateDateAsBetweenInclusive(date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

67. #### def validateDateAsBetweenInclusive(minDate: LocalDate, maxDate: LocalDate)()(implicit ev: <:<[Option[String], Option[LocalDate]]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

68. #### def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

69. #### def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

70. #### def validateDateAsBlank()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

71. #### def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

72. #### def validateDateAsMandatory(date: Option[LocalDate], messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

73. #### def validateDateAsMandatory()()(implicit ev: <:<[Option[String], Option[LocalDate]]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

74. #### def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

75. #### def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

76. #### def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]

    Definition Classes
      ExtraValidation

77. #### def validateIntegerAsBlank()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

78. #### def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

79. #### def validateIntegerAsMandatory()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

80. #### def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

81. #### def validateIntegerRange(min: Int = 0, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

82. #### def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

83. #### def validateMoney(value: Option[Int], min: Int = 99999999, max: Int = 99999999)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

84. #### def validateNotEmptyStringByLength(value: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      SelfValidatableBox

85. #### def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

86. #### def validateOptionalIntegerAsEqualTo(equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

87. #### def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

88. #### def validateOptionalIntegerLessOrEqualBox(other: CtBoxIdentifier with CtOptionalInteger)()(implicit ev: <:<[Option[String], Option[Int]]): Set[CtValidation]

    Definition Classes
      SelfValidatableBox

89. #### def validateOptionalStringByLength(min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

90. #### def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

91. #### def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

92. #### def validateOptionalStringByRegex(regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

93. #### def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

94. #### def validatePositiveBigDecimal()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

95. #### def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

96. #### def validatePositiveInteger()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

97. #### def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

98. #### def validatePostcode(boxId: String)()(implicit ev: <:<[Option[String], Option[String]]): Set[CtValidation]

    Definition Classes
      SelfValidatableBox

99. #### def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

100. #### def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]

     Definition Classes
       ExtraValidation

101. #### def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]

     Definition Classes
       ExtraValidation

102. #### def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]

     Definition Classes
       ExtraValidation

103. #### def validateRawStringByRegex(value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

104. #### def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

105. #### def validateStringAsBlank()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

106. #### def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

107. #### def validateStringAsMandatory()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

108. #### def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

109. #### def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

110. #### def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

111. #### def validateStringAsMandatoryWithNoTrailingWhitespace()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

112. #### def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

113. #### def validateStringByLength(value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]

     Definition Classes
       SelfValidatableBox

114. #### def validateStringByLength(min: Int, max: Int)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

115. #### def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]

     Definition Classes
       ValidatableBox

116. #### def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

117. #### def validateStringByRegex(regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

118. #### def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

119. #### def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]

     Definition Classes
       ExtraValidation

120. #### def validateStringMaxLength(value: String, max: Int)(): Set[CtValidation]

     Definition Classes
       SelfValidatableBox

121. #### def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]

     Definition Classes
       ValidatableBox

122. #### def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

123. #### def validateZeroOrPositiveBigDecimal()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

124. #### def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

125. #### def validateZeroOrPositiveInteger()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

126. #### def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

127. #### val value: Option[String]

     Definition Classes
       AC7999 → CtValue

128. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

129. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

130. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from OffBalanceSheetArrangementsValidator

### Inherited from SelfValidatableBox[Frs105AccountsBoxRetriever, Option[String]]

### Inherited from ValidatableBox[Frs105AccountsBoxRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalString

### Inherited from OptionalCtValue[String]

### Inherited from CtValue[Option[String]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped